Spring Security AuthenticatedVoter 方法验证不当漏洞

来源: 投稿
2024-03-19 18:17:00

漏洞描述

Spring Security 是基于Spring应用程序的认证和访问控制框架

Spring Security在处理Authentication参数时没有对null值进行检查。当应用程序直接使用AuthenticatedVoter#vote方法,传入null作为认证参数时会错误地返回true值。攻击者可利用该漏洞绕过身份验证,进行提权或窃取系统敏感信息。

漏洞名称 Spring Security AuthenticatedVoter 方法验证不当漏洞
漏洞类型 访问控制不当
发现时间 2024-03-18
漏洞影响广度 广
MPS编号 MPS-ucl7-dyox
CVE编号 CVE-2024-22257
CNVD编号 -

影响范围

org.springframework.security:spring-security-core@[6.1.0, 6.1.8)

org.springframework.security:spring-security-core@[6.2.0, 6.2.3)

org.springframework.security:spring-security-core@[5.7.0, 5.7.12)

org.springframework.security:spring-security-core@[5.8.0, 5.8.11)

org.springframework.security:spring-security-core@[6.0.0, 6.0.10)

修复方案

将 org.springframework.security:spring-security-core 升级至 5.7.12、5.8.11、6.0.10、6.1.8、6.2.3及以上版本

开发者避免将null作为参数传递给AuthenticatedVoter#vote方法

参考链接

https://www.oscs1024.com/hd/MPS-ucl7-dyox

https://nvd.nist.gov/vuln/detail/CVE-2024-22257

 

Commit

    

免费情报订阅&代码安全检测

OSCS是国内首个开源软件供应链安全社区,社区联合开发者帮助全球顶级开源项目解决安全问题,并提供实时的安全漏洞情报,同时提供专业的代码安全检测工具为开发者免费使用。社区开发者可以通过配置飞书、钉钉、企业微信机器人获取一手的情报。

免费代码安全检测工具: https://www.murphysec.com/?src=osc

免费情报订阅: https://www.oscs1024.com/cm/?src=osc

具体订阅方式详见: https://www.oscs1024.com/docs/vuln-warning/intro/?src=osc

展开阅读全文
点击引领话题📣 发布并加入讨论🔥
0 评论
0 收藏
分享
返回顶部
顶部